| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TransportConfigQos Class Reference

Qos Policy to configure the transport layer. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for TransportConfigQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | TransportConfigQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~TransportConfigQos ()=default
| Destructor.
bool | operator== (const TransportConfigQos &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

std::vector< std::shared_ptr< fastdds::rtps::TransportDescriptorInterface > > | user_transports
| User defined transports to use alongside or in place of builtins.
bool | use_builtin_transports
| Set as false to disable the default UDPv4 implementation. By default, true.
uint32_t | send_socket_buffer_size
| Send socket buffer size for the send resource.
uint32_t | listen_socket_buffer_size
| Listen socket buffer for all listen resources.
rtps::ThreadSettings | builtin_transports_reception_threads_
| Thread settings for the builtin transports reception threads.
uint32_t | max_msg_size_no_frag
| Maximum message size used to avoid fragmentation, set ONLY in LARGE_DATA.
fastdds::rtps::NetmaskFilterKind | netmask_filter
| Netmask filter configuration.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Qos Policy to configure the transport layer.

## Constructor & Destructor Documentation

## ◆ TransportConfigQos()

FASTDDS_EXPORTED_API TransportConfigQos | ( |  | ) |

inline

Constructor.

## ◆ ~TransportConfigQos()

virtual FASTDDS_EXPORTED_API ~TransportConfigQos | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const TransportConfigQos & | b | ) | const

inline

## Member Data Documentation

## ◆ builtin_transports_reception_threads_

rtps::ThreadSettings builtin_transports_reception_threads_

Thread settings for the builtin transports reception threads.

## ◆ listen_socket_buffer_size

uint32_t listen_socket_buffer_size

Listen socket buffer for all listen resources.

Zero value indicates to use default system buffer size.
By default, 0.

## ◆ max_msg_size_no_frag

uint32_t max_msg_size_no_frag

Maximum message size used to avoid fragmentation, set ONLY in LARGE_DATA.

If this value is not zero, the network factory will allow the initialization of UDP transports with maxMessageSize higher than 65500K.

## ◆ netmask_filter

fastdds::rtps::NetmaskFilterKind netmask_filter

Netmask filter configuration.

## ◆ send_socket_buffer_size

uint32_t send_socket_buffer_size

Send socket buffer size for the send resource.

Zero value indicates to use default system buffer size.
By default, 0.

## ◆ use_builtin_transports

bool use_builtin_transports

Set as false to disable the default UDPv4 implementation.
By default, true.

## ◆ user_transports

std::vector<std::shared_ptr<fastdds::rtps::TransportDescriptorInterface> > user_transports

User defined transports to use alongside or in place of builtins.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp